Skip to main content
PUT
/
organization
/
{organizationId}
/
gcp
/
credentials
/
{credentialsId}
Edit a set of GCP credentials
curl --request PUT \
  --url https://api.qovery.com/organization/{organizationId}/gcp/credentials/{credentialsId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "gcp_credentials": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "access_key_id": "<string>",
  "object_type": "AWS"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

credentialsId
string<uuid>
required

Credentials ID

Body

application/json
name
string
required
gcp_credentials
string
required

Response

Edit a set of GCP credentials

id
string<uuid>
required
name
string
required
access_key_id
string
required
object_type
enum<string>
required
Available options:
AWS